Page MenuHomePhabricator

Uninstall the Gather extension from en.wikipedia.org
Closed, ResolvedPublic

Event Timeline

Legoktm created this task.Feb 19 2016, 7:18 PM
Restricted Application added subscribers: JEumerus, StudiesWorld, Matanya, Aklapper. · View Herald TranscriptFeb 19 2016, 7:18 PM
jrbs added a subscriber: jrbs.Feb 19 2016, 10:52 PM
greg added a subscriber: greg.Feb 19 2016, 11:30 PM

Change 271932 had a related patch set uploaded (by MarcoAurelio):
Removing Gather from enwiki and miscellaneous cosmetic changes

https://gerrit.wikimedia.org/r/271932

If there's some config file/change else needed, please let me know.

MarcoAurelio triaged this task as Normal priority.Feb 20 2016, 12:17 AM

Blocked by @demon until RFC closes. Patch is -2 now. Removing from today's SWAT.

TheDJ added a subscriber: TheDJ.Feb 22 2016, 12:55 PM

I've closed the RFC.

I've closed the RFC.

Thank you. Just for clarity, is removing Gather what is really requested here?

TheDJ added a comment.EditedFeb 22 2016, 4:15 PM

The request is to make it so that neither registered users nor anonymous users can interact with the functionality the extension provides. The simplest way to do this, is to simply removing the extension from the setup as far as I know. In that case, all data will remain in the database, making it possible to migrate or extract at a later time.

The only risk I see here is with any log actions in the public log mechanism. I'm not sure if there are any, but such log entries have proven to be difficult with removing extensions in the past (AFTv5 ?).

MarcoAurelio removed MarcoAurelio as the assignee of this task.Feb 22 2016, 4:23 PM
MarcoAurelio added a subscriber: MarcoAurelio.

I'll put this up for grabs just due to the log stuff you mention.

demon added a subscriber: Tnegrin.Feb 22 2016, 5:03 PM

I've closed the RFC.

Thanks :D

I've closed the RFC.

Thank you. Just for clarity, is removing Gather what is really requested here?

Removing it from enwiki is how I read the RFC and how I see it closed by @TheDJ. I think we can move forward in the next day or so with the removal...I believe @Tnegrin was mentioning wanting to make an at least cursory announcement so those that are using it (however few) aren't caught by surprise.

Legoktm updated the task description. (Show Details)Feb 22 2016, 6:27 PM
Nemo_bis added a subscriber: Nemo_bis.EditedFeb 22 2016, 9:00 PM

This doesn't really matter.

MariaDB [enwiki_p]> select count(*) from logging where log_type = 'articlefeedbackv5';
+----------+
| count(*) |
+----------+
|   497197 |
+----------+
1 row in set (0.72 sec)

Log and database cleanup (including dumps) can be handled later. Feel free to immediately file reports for such cleanup.

Tgr added a subscriber: Tgr.Feb 23 2016, 1:46 AM

Per discussion with the Reading team, this is blocked on T127784. The target date for uninstalling Gather is next Tuesday (PDT).

Tgr added a comment.Feb 23 2016, 2:10 AM

The only risk I see here is with any log actions in the public log mechanism. I'm not sure if there are any, but such log entries have proven to be difficult with removing extensions in the past (AFTv5 ?).

Gather uses a ManualLogEntry so uninstalling should not cause any problem with displaying the logs, right?

Gather uses a ManualLogEntry so uninstalling should not cause any problem with displaying the logs, right?

The i18n message will go away, so it does cause display problems. But given past precedent, it's not a problem worth stopping removal over.

Can we add the message into WikiamediaMessages?

Can we add the message into WikiamediaMessages?

I don't think so, because the message key would be the same as the one in the Gather extension, and I don't think TWN can handle the same key in two extensions?

We can definitely create it locally on en.wp, which is probably good enough in this case.

ok -- we have the text of the message. Can someone please tell me how to
send it?

-Toby

Tgr added a comment.Feb 24 2016, 11:27 PM

I surveyed the available options in T127784#2061919. None of them is great.

Tgr added a comment.Feb 25 2016, 3:03 AM

gather-checkuser-log-action is the message mentioned by @JEumerus, and that comes from ApiEditList::getGatherLogFormattedString (with action being the mode parameter of the list edit API), which is registered as the log handler for gather/action (which is the only log type for Gather as far as I can see). I'm not familiar with the logging system, but just creating that message locally is clearly not going to help. Is there a fallback message key that gets constructed when no handler is registered?

T128056 is not a blocker of this bug, but only of the (future) request to drop the tables.

There are no public logs related to Gather on enwiki, so it shouldn't be a blocker. FYI, T126123 is about this.

Change 271932 merged by jenkins-bot:
Removing Gather from enwiki and miscellaneous cosmetic changes

https://gerrit.wikimedia.org/r/271932

Tgr added a comment.Mar 2 2016, 12:10 AM

Done. Log looks broken (if I read the code correctly, with no registered log handler it should fall back to LegacyLogFormatter, which should be able to make more sense of it than this), but that should be a separate task.

Thnidu added a subscriber: Thnidu.Mar 2 2016, 7:48 AM
This comment was removed by Thnidu.

I filed T130470 just now to do a postmortem regarding the Gather deployment and subsequent disablement.